<?php

namespace \Losc\CucmBundle\Model\Webservice\ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Do ServiceType
 * @subpackage Services
 */
class _Do extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named doAuthenticateUser
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoAuthenticateUserReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoAuthenticateUserRes|bool
     */
    public function doAuthenticateUser(\\Losc\CucmBundle\Model\Webservice\StructType\DoAuthenticateUserReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doAuthenticateUser($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doDeviceLogin
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLoginReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLoginRes|bool
     */
    public function doDeviceLogin(\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLoginReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doDeviceLogin($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doDeviceLogout
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLogoutReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLogoutRes|bool
     */
    public function doDeviceLogout(\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLogoutReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doDeviceLogout($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doDeviceReset
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceResetReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceResetRes|bool
     */
    public function doDeviceReset(\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceResetReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doDeviceReset($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doLdapSync
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoLdapSyncReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoLdapSyncRes|bool
     */
    public function doLdapSync(\\Losc\CucmBundle\Model\Webservice\StructType\DoLdapSyncReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doLdapSync($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doUpdateRemoteCluster
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterRes|bool
     */
    public function doUpdateRemoteCluster(\\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doUpdateRemoteCluster($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named doChangeDNDStatus
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\DoChangeDNDStatusReq $axlParams
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoChangeDNDStatusRes|bool
     */
    public function doChangeDNDStatus(\\Losc\CucmBundle\Model\Webservice\StructType\DoChangeDNDStatusReq $axlParams)
    {
        try {
            $this->setResult($this->getSoapClient()->doChangeDNDStatus($axlParams));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\DoAuthenticateUserRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoChangeDNDStatusRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLoginRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceLogoutRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoDeviceResetRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoLdapSyncRes|\\Losc\CucmBundle\Model\Webservice\StructType\DoUpdateRemoteClusterRes
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
